Description

For composer legend items, it would be good if there was an "add layer" button on the "Item" tab under "Legend items".

This would allow the user to choose from a list of all the layers that aren't currently in the legend, to add back a layer that had been

removed from the legend.  (To add a layer currently you need to click the "All" button, which loses any other customisations, e.g. layer

reordering and renaming)

History

#1 - 2010-12-15 11:10 PM - Alister Hood

This enhancement would minimise the need for , and if it was implemented then I think reverting  should be considered (or maybe there could be an option

to control the automatic adding - perhaps a composer item option?). I can't speak for others, but I normally lock the layers in my composer maps, so it is

annoying that a new layer added to the project is automatically added into existing composer legends :)

#2 - 2010-12-16 09:27 PM - Nathan Woodrow

- Status changed from Open to In Progress

I'm was working on adding this when you posted this ticket.  Patch to come soon.

#3 - 2010-12-16 11:35 PM - Alister Hood

Great!  Thanks

#4 - 2010-12-20 05:28 PM - Tim Sutton

Nathan's patch has been applied in commit:39c436d4 (SVN r14952). Many thanks!

Regards

Tim

#5 - 2010-12-20 05:49 PM - Nathan Woodrow

- Resolution set to fixed

- Status changed from In Progress to Closed

Files
3339.patch 17.6 KB 2010-12-16 Nathan Woodrow
